Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MovePrev Method (DatabaseEntry, DatabaseEntry, LockingInfo)
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MovePrev is identical to MoveLast(LockingInfo). Otherwise, move the cursor to the previous key/data pair of the database, and store that pair in Current. In the presence of duplicate key values, the value of Current.Key may not change. If either the key or the data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, MovePrev is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool MovePrev(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function MovePrev ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	info As LockingInfo _
    ) As Boolean

Visual C++
    public:
    bool MovePrev(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MovePrev Overload
BerkeleyDB Namespace